com.corticon.rulesemf.viewrulemodel.ruleflow.flowdiagram

## Interface FlowDiagram

- All Superinterfaces:
    Annotatable, Annotation, CorticonObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RuleflowView

      public interface FlowDiagram
      extends CorticonObject, RuleflowView

  A representation of the model object 'Flow Diagram'.

  The following features are supported:

  - `Selection`
  - `Flow Shape List`
  - `Flow Edge List`
  See Also:
    `FlowdiagramPackage.getFlowDiagram()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getFlowEdgeList()` Returns the value of the 'Flow Edge List' containment reference list.
    `org.eclipse.emf.common.util.EList` | `getFlowShapeList()` Returns the value of the 'Flow Shape List' containment reference list.
    `com.corticon.eclipse.core.util.Selection` | `getSelection()` Returns the value of the 'Selection' attribute
    `void` | `setSelection(com.corticon.eclipse.core.util.Selection value)` Sets the value of the '`Selection`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.common.CorticonObject

      `getGuid, setGuid`

    - ### Methods inherited from interface com.corticon.rulesemf.common.Annotatable

      `getAnnotations`

    - ### Methods inherited from interface com.corticon.rulesemf.common.Annotation

      `getName, getValue, setName, setValue`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getSelection

          com.corticon.eclipse.core.util.Selection getSelection()

      Returns the value of the 'Selection' attribute.

      If the meaning of the 'Selection' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Selection' attribute.
      See Also:
        `setSelection(Selection)`, `FlowdiagramPackage.getFlowDiagram_Selection()`

    - #### setSelection

          void setSelection(com.corticon.eclipse.core.util.Selection value)

      Sets the value of the '`Selection`' attribute.
      Parameters:
        `value` - the new value of the 'Selection' attribute.
      See Also:
        `getSelection()`

    - #### getFlowShapeList

          org.eclipse.emf.common.util.EList getFlowShapeList()

      Returns the value of the 'Flow Shape List' containment reference list. The list contents are of type `FlowShape`.

      If the meaning of the 'Flow Shape List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Flow Shape List' containment reference list.
      See Also:
        `FlowdiagramPackage.getFlowDiagram_FlowShapeList()`

    - #### getFlowEdgeList

          org.eclipse.emf.common.util.EList getFlowEdgeList()

      Returns the value of the 'Flow Edge List' containment reference list. The list contents are of type `FlowEdge`.

      If the meaning of the 'Flow Edge List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Flow Edge List' containment reference list.
      See Also:
        `FlowdiagramPackage.getFlowDiagram_FlowEdgeList()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.